Subject: bug#38495: Emacs ignores ~/.Xdefaults and ~/.Xdefaults-hostname

From: Andrea Cardaci <[email-masked]>
Date: Wed, 4 Dec 2019 23:31:09 +0100

Hi,

I'm trying the master version
(0e774d4f355b4f12a625da5ca9602d1ba876bcc1) and these two files are now
ignored by Emacs, it used to work in version 26.1, well it used to
load the .Xdefaults-hostname file but even that version ignored
.Xdefaults while this page says otherwise:

https://www.gnu.org/software/emacs/manual/html_node/efaq/Emacs-ignores-X-resources.html

In any case the master version now ignores both files. But, according
to strace, it opens that file:

> $ strace -f /opt/emacs/bin/emacs |& grep Xdefaults
> [pid 11310] openat(AT_FDCWD, "/home/cyrus/.Xdefaults-hostname", O_RDONLY) = 6

Instead (discovered via strace) Emacs uses the ~/.Xdefaults/hostname
file, this actually works but it's undocumented and doesn't work in
Emacs 26.1.

Best,
Andrea